<h1 align="center">
  <br>
  <img src="https://guardianproject.dev/jasima/lukin/raw/branch/main/pngs/logomark-colour-w1024.png" alt="jasima.app">
  <br>
</h1>

<p align="center">
  <img
    alt="Language: Typescript"
    src="https://img.shields.io/badge/lanuage-typescript-3178c6?style=flat-square">
  <a href="https://opensource.org/licenses/BSD-2-Clause">
    <img alt="Licence: BSD 2-Clause" src="https://img.shields.io/badge/license-bsd%202--clause-orange?style=flat-square">
  </a>
  <img alt="Lifecycle: Experimental" src="https://img.shields.io/badge/lifecycle-experimental-339999?style=flat-square">
  <br>
  <a href="https://www.jasima.app/">
    <img alt="Website" src="https://img.shields.io/website?url=https%3A//www.jasima.app&style=flat-square">
  </a>
  <a href="https://guardianproject.dev/jasima/lipu-pali/issues">
    <img alt="Issues" src="https://img.shields.io/gitea/issues/open/jasima/lipu-pali?gitea_url=https%3A%2F%2Fguardianproject.dev&style=flat-square">
  </a>
  <a href="https://opencollective.com/guardianproject/guardianproject">
    <img alt="Open Collective backers and sponsors" src="https://img.shields.io/opencollective/all/guardianproject?style=flat-square">
  </a>
</p>

## lipu pali pi ilo jasima

*Main website and user guide.*

This website is built using [Docusaurus](https://docusaurus.io/), a modern static website generator.
A Nix flake is included that allows installation of all the tools required for development.
Deployment happens in a Forgejo action which builds and deploys the result to Netlify.

### Installation

```bash
nix develop --command npm install
```

### Local Development

```bash
nix develop --command npm run start
```

This command starts a local development server and opens up a browser window.
Most changes are reflected live without having to restart the server.

### Build

```bash
nix develop --command npm run docusaurus gen-api-docs api  # Generates the OpenAPI documentation
nix develop --command npm run build
```

This command generates static content into the `build` directory and can be served using any static contents hosting service.

### Deploy

```bash
nix develop --command netlify deploy
```

### Copyright

Copyright © 2022-2025 SR2 Communications Limited.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the
following conditions are met:

1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS “AS IS” AND ANY EXPRESS OR IMPLIED WARRANTIES,
INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
